Aktualizováno 16.12.2018

      
 
   Základní upgrade WSJT-X

Všeobecně

Základní upgrade wsjt-x proběhl. Podrobný popis nové verze je na stránce: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html

Zkoušku instalace jsem provedl na instalovaném operačním systému Ubuntu 16.04 LTS. Na LM 19 jsem ještě nezkoušel, ale předpokládám na základě zkušeností s betaverzí rc5, že se systém bude chovat obdobně.

Instalace

Instalaci nové verze jsem provedl podle postupu uvedeného zde: http://www.physics.princeton.edu/pulsar/K1JT/wsjtx-doc/wsjtx-main-2.0.0.html#INSTALL_LINUX
a prakticky to znamenalo:

1. Stáhnout balíček s označením:
wsjtx_2.0.0_amd64.deb
2. Balíček přemístnit ze složky "stažené" do složky uživatele.
3. Provést instalaci příkazem:
sudo dpkg -i wsjtx_2.0.0_amd64.deb
To se dělá tak, že příkaz okopírujete z webu pomocí
ctrl-C a do Terminálu Linuxu vložíte pomocí shift-ctrl-V.
Já jsem měl dříve nainstalovanou betaverzi rc5. Instalační program mi hlásil, že provádí tzv. downgrade na verzi 2.0.0. Po instalaci běžela verze 2.0.0 naprosto normálně. Nastavení zůstala po předchozích verzích, hned jsem mohl program zapnout a dělat spojení.

Starší verze Linuxu

Předpokládal jsem, že u starších verzí Linuxů nebudou dodrženy závislosti balíčků. Předpokládal jsem správně. Popsaný jednoduchý způsob instalace nešel použít již na dříve instalované verzi Linux Mint 18.3. V průběhu instalace byly nahlášeny uvedené chyby a program nešel spustit.

Poznámky:
1. Pro práci s amatérskou stanicí používám k tomu určenou instalaci na samostatném oddílu (partition). Velmi snadno jsem oddíl s verzí wsjt-x 1.9.1 poslal do digitálního nebe (tj. zformátoval jsem ho pro jiné další použití). Na novém oddílu mám nový operační systém Ubuntu 18.04 LTS s dlouhodobou podporou, s novou verzí wsjt-x verze 2.0.0
2. U stanice nepoužívám sajrajtware Windows 10, protože bych si nezavysílal, ale pořád bych něco řešil. Pro ilustraci zde uvádím kopii osobního mailu od kamaráda, cituji (bez jmen a značek):

"Ahoj Míro,
tak nám pánové od Ms. updatovali jak jinak než nuceně Win10.
Na PC od OKxxx  přestala chodit časová synchronizace s Dimension4. Normálně rozbité a chyba při navazování spojení s SNTP serverem v Německu ( PTB) i jinými alias CESNET. 
Zkusil jsem prográmek NET Time, nešel spustit ani jako admin. BKtTimeSync taktéž nešel sputit. Ani hlavní okno pro konfiguraci.
Zkusil jsem tedy znovu D4 tam to nejde spustit jako admin, zašedlé pole. Ten tam byl ale nainstalovaný. Vím, že musí být spouštěný s admin právy. Nevíš, co s takovým případem?? jak postupovat, aby bylo možné znovu zatrhnout položku run as admin?? Prověřím ještě plánovač úloh, snad i registry. Tohle tady od pánů z Ms ještě nebylo a zřejmě si to "vyřídili" se servery SNTP/NTP.  Protože jen "ty jejich" se synchronizací 1x týdně jsou jediné správné.
Dík a 73! 
Hezký víkend 
xxxxxxx"
konec citace.
Nemám rovněž, co bych k tomu dodal. Instalace Windows a Linuxů je na jednom PC možná, pokud Windows ještě k něčemu potřebujete. Windows 10 však pro vážnou práci nikdy použitelné nebudou (dokud Microsoft mezi manažery nevyvětrá). Teď to byla časová synchronizace, dříve zase ovladače, stále je nutné něco studovat, zkoumat extrémně rozsáhlá diskuzní fóra různých nářků a hrabat se ve všem možném. Windows 10 se prostě k určité precizní práci nehodí.

 

 

TU 73, Mira, ok1ufc